summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2018-12-18 23:12:41 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2018-12-21 19:30:13 +0000
commit938eeb83a7b428bbd18624db9aa4669d158985b2 (patch)
tree0bfa2a34799ee0414caa5435d756ac550356376c /tcwg-benchmark.sh
parent3e86723a32078a4b4e33b8693dc5d82ea4352d36 (diff)
tcwg-benchmark.sh: Add sanity check for toolchain_type
Make sure we could determine it. Change-Id: I5ac789d0ec8eb78ea016e83751ed132d8900cc92
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index e72fcc9b..652234db 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -145,6 +145,15 @@ case "$toolchain_url" in
;;
esac
+# Sanity check that toolchain_type is supported
+case "$toolchain_type" in
+ gnu|llvm) ;;
+ *)
+ echo "ERROR: Could not determine toolchain type: $toolchain_type"
+ exit 1
+ ;;
+esac
+
case "$sysroot" in
"tarball")
sysroot="$build_container_host:$build_container_port:$(find "$toolchaindir" -name "libc")"